package akhlys.fastdirsync;

import javax.swing.SwingWorker;

/**
 * cancel of swingworker calls the done()-method immediatly while not aborting the running task
 * using this class, I can defer the call to done() until the task (which should check isAborted()) ends
 * @author akhlys
 *
 * @param <T>
 * @param <V>
 */
public abstract class NicelyCancelableThread<T, V> extends SwingWorker<T, V> {
	private boolean isAborted = false;
	
	/**
	 * abort thread
	 */
	public final void abort() {
		this.isAborted = true;
	}
	
	/**
	 * 
	 * @return true if thread is aborted
	 */
	public boolean isAborted() {
		return this.isAborted;
	}
}
